#     							-*- Autoconf -*-
# serial 2
#
# Reuse of java-front.m4 
# Author : Martin Bravenboer <martin.bravenboer add gmail dot com>
# Patcher: Lennart Kats <lennart add lclnet.nl>
#

# XT_USE_DRYAD_COMPILER
# --------------
AC_DEFUN([XT_USE_DRYAD_COMPILER], [
  XT_CHECK_PACKAGE([DRYAD_COMPILER],[dryad-compiler])

  AC_MSG_CHECKING([for dryad-compiler at $DRYAD_COMPILER/bin/dryad-compiler$EXEEXT])
  
  test -x "$DRYAD_COMPILER/bin/dryad-compiler$EXEEXT" || \
  test -x "$DRYAD_COMPILER/lib/dryad-compiler$EXEEXT"
  
  if test $? -eq 0; then
    AC_MSG_RESULT([yes])
  else
    AC_MSG_RESULT([no])
    AC_MSG_ERROR([cannot find dryad-compiler. Is it installed correctly?])
  fi
  
  DRYAD_COMPILER_LIB=`$PKG_CONFIG --variable=libdir dryad-compiler`
  DRYAD_COMPILER_SYNTAX=`$PKG_CONFIG --variable=sdfdatadir dryad-compiler`
  
  AC_SUBST([DRYAD_COMPILER_LIB])
  AC_SUBST([DRYAD_COMPILER_SYNTAX])
])
